Manteniendo los sitios seguros

La versión 5.2 de WordPress, denominada «Jaco» en honor al renombrado y revolucionario bajista de jazz Jaco Pastorius, está disponible para descargar o actualizar en el escritorio de tu WordPress.

Las nuevas características de esta actualización hacen que sea más fácil que nunca arreglar tu sitio si algo va mal.

Tiene herramientas aún más robustas para identificar y corregir problemas de configuración y errores fatales.

Tanto si eres un desarrollador que ayuda a clientes como si gestionas tu sitio en solitario, estas herramientas pueden ayudarte a obtener la información correcta cuando la necesites.

Comprobación de salud del sitio

Basada en las características de salud del sitio introducidas en la versión 5.1, esta versión añade dos nuevas páginas para ayudar a depurar problemas de configuración comunes.

También añade un espacio donde los desarrolladores pueden incluir información de depuración para los mantenedores del sitio.

Protección de errores PHP

Esta actualización centrada en el administrador te permitirá corregir o gestionar errores fatales de forma segura sin que necesites tiempo del desarrollador.

Ofrece una mejor gestión de la llamada «pantalla blanca de la muerte» y una forma de entrar en el modo de recuperación, que pone en pausa los plugins o temas que causen errores.

Mejoras para todos

Actualizaciones de accesibilidad

Una serie de cambios combinados para mejorar el conocimiento contextual y el flujo de navegación por el teclado para aquellos que utilizan lectores de pantalla y otras tecnologías de asistencia.

Nuevos iconos de escritorio

Trece nuevos iconos, incluido el de Instagram, un paquete de iconos para BuddyPress, e iconos de la tierra en rotación para una inclusión global. ¡Descúbrelos en el escritorio y diviértete!

Comprobaciones de compatibilidad de plugins

Ahora WordPress determinará automáticamente si la versión de PHP de tu sitio es compatible con los plugins instalados.

Si el plugin requiere una versión superior de PHP de la que usa tu sitio, WordPress no te permitirá activarlo, evitando así potenciales errores de compatibilidad.

Felicidad para el desarrollador

Evolución de versión de PHP

La versión mínima compatible con PHP es ahora la 5.6.20. ¡A partir de WordPress 5.2*, los temas y plugins pueden aprovechar con seguridad los «namespace», funciones anónimas y mucho más!

Actualizaciones en la privacidad

Una nueva plantilla de página para los temas, una función condicional y dos clases CSS facilitan el diseño y la personalización de la página de política de privacidad.

Nuevo gancho en la etiqueta «body»

La versión 5.2 introduce un gancho wp_body_open, que permite que los temas sean compatibles con la inyección de código justo al principio del elemento <body>.

Compilación de JavaScript

Con la incorporación de las configuraciones webpack y Babel en el paquete wordpress/scripts, los desarrolladores no tendrán que preocuparse de configurar herramientas de compilación complejas para escribir JavaScript moderno.

*Si estás ejecutando u na versión de PHP antigua (menor que la 5.6.20), actualiza tu PHP  antes de instalar la versión 5.2.

Fuente | WordPress.org

Categorías: WordPress

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *